umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Attributes | List of all members
TestBase Class Reference

`#include <testbase.h>`

Inheritance diagram for TestBase:

## Public Member Functions
| TestBase (QObject *parent=0)

## Protected Slots
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)

## Protected Attributes
QList< QPointer< QObject > > | m_objectsToDelete

## Detailed Description

The TestBase class is intended as base class for umbrello unit tests.

Currently it provides an instance of class UMLApp, which is required to run mostly unit tests.

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ TestBase()

TestBase::TestBase | ( | QObject * | parent = 0 | ) |
| explicit

## Member Function Documentation

## ◆ cleanupOnExit

void TestBase::cleanupOnExit | ( | QObject * | p | ) |
| protected virtual slot

## ◆ cleanupTestCase

void TestBase::cleanupTestCase | ( |  | ) |
| protected virtual slot

## ◆ initTestCase

void TestBase::initTestCase | ( |  | ) |
| protected virtual slot

## Member Data Documentation

## ◆ m_objectsToDelete

QList<QPointer<QObject> > TestBase::m_objectsToDelete
| protected

The documentation for this class was generated from the following files:

- unittests/testbase.h
- unittests/testbase.cpp